You are not logged in.

#1 2019-06-23 05:40:53

Askannz
Member
Registered: 2016-10-22
Posts: 36

Suggestion : add lsb-release to the dependencies of the steam package

Hi,

I hope it's the right forum category for these kinds of requests, apologies if it isn't.

I'd like to suggest adding the package lsb-release to the dependencies of the steam package. Although it isn't required to launch Steam and play games, not having this package installed causes Steam to not properly detect the current Linux distribution in its hardware report. To test this, open Steam, go to Help -> System Information and scroll to "Operating System Version".

Without lsb-release, the distribution name is "Linux (64-bit)" which is fixed to "Arch Linux (64-bit)" when lsb-release is installed.

This might seem like a minor inconvenience but it's causing headaches for websites which rely on the system info provided by Steam, like protondb.com or the Steam website itself : if you go to https://store.steampowered.com/hwsurvey/, you'll see that the second most popular distro is a generic "Linux (64-bit)" (note that there may also be some snap/flatpak shenanigans going on here).

What are your thoughts on this ?

Last edited by Askannz (2019-06-23 05:41:32)

Offline

#2 2019-06-23 06:18:50

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 28,050
Website

Re: Suggestion : add lsb-release to the dependencies of the steam package

Feature requests belong on the bug tracker...


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#3 2019-06-23 10:10:33

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,067
Website

Re: Suggestion : add lsb-release to the dependencies of the steam package

Valve can fix it by reading os-release.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2019-06-25 00:36:11

Askannz
Member
Registered: 2016-10-22
Posts: 36

Re: Suggestion : add lsb-release to the dependencies of the steam package

jasonwryan wrote:

Feature requests belong on the bug tracker...

Apologies then, I'll send it there.

WorMzy wrote:

Valve can fix it by reading os-release.

Valve does not officially support Archlinux. We can try asking of course, but it seems silly when all that's needed on our side is to install a 17Kb package.

Offline

#5 2019-06-26 13:02:22

ayekat
Member
Registered: 2011-01-17
Posts: 1,348
Website

Re: Suggestion : add lsb-release to the dependencies of the steam package

Askannz wrote:
WorMzy wrote:

Valve can fix it by reading os-release.

Valve does not officially support Archlinux.

os-release is not Arch specific. It's mandated by systemd since... *checks* 2012.


{,META,RE}PKGBUILDSpacman-hacks (includes makemetapkg and remakepkg) │ dotfiles

Offline

Board footer

Powered by FluxBB